<!-- Template for the notes route -->
{% extends 'base.html' %}
<div class="row">
  {% block content %}
  <div class="row">
    <h2>Edit note for <a href="{{ url_for('routers.router', fingerprint=fingerprint) }}">{{ fingerprint }}</a></h2>
    <div class="row">
      <form method="post" action="{{ url_for('routers.edit_note', fingerprint=fingerprint, note_id=note.note_id) }}">
        <div class="mb-3">
          <label for="intputnote" class="form-label">note</label>
          <input type="text" class="form-control" id="inputnote" name="note" placeholder="tor-knows-ops"
            value="{{ note.note }}" aria-describedby="noteHelp">
          <div id="noteHelp" class="form-text">Edit note for this router.</div>
          <button type="submit" class="btn btn-secondary"><i class="fa-solid fa-share-from-square"></i></button>
        </div>
      </form>
    </div>
  </div>
  {% endblock %}
</div>